diff -Npur gnumach.old/ChangeLog gnumach.new/ChangeLog
--- gnumach.old/ChangeLog	2006-04-02 07:48:52.000000000 -0300
+++ gnumach.new/ChangeLog	2006-04-05 14:28:08.000000000 -0300
@@ -1,3 +1,41 @@
+2006-04-05  Leonardo Lopes Pereira  <llp@DickVigarista>
+
+	* bogus/mach_ipc_compat.h: Remove file.
+	* ipc/ipc_kmsg.c: Don't include <mach_ipc_compat.h> anymore and
+	adopt all users of MACH_IPC_COMPAT as if it were always defined to
+	`0'.
+	* ipc/ipc_kmsg.h: Likewise.
+	* ipc/ipc_marequest.c: Likewise.
+	* ipc/ipc_notify.c: Likewise.
+	* ipc/ipc_notify.h: Likewise.
+	* ipc/ipc_object.c: Likewise.
+	* ipc/ipc_object.h: Likewise.
+	* ipc/ipc_port.c: Likewise.
+	* ipc/ipc_port.h: Likewise.
+	* ipc/ipc_right.c: Likewise.
+	* ipc/ipc_space.c: Likewise.
+	* ipc/ipc_space.h: Likewise.
+	* ipc/mach_debug.c: Likewise.
+	* ipc/mach_msg.c: Likewise
+	* ipc/mach_msg.h: Likewise.
+	* ipc/mach_port.c: Likewise.
+	* kern/act.c: Likewise.
+	* kern/act.h: Likewise.
+	* kern/ipc_host.c: Likewise.
+	* kern/ipc_tt.c: Likewise.
+	* i386/include/mach/i386/machine_types.defs: Likewise.
+	* include/mach/mach.defs: Likewise.
+	* include/mach/mach_param.h: Likewise.
+	* include/mach/mach_traps.h: Likewise.
+	* include/mach/message.h: Likewise.
+	* include/mach/mig_errors.h: Likewise.
+	* include/mach/notify.h: Likewise.
+	* include/mach/port.h: Likewise.
+	* include/mach/std_types.defs: Likewise.
+	* include/mach/syscall_sw.h: Likewise.
+	* include/mach/task_special_ports.h: Likewise. 
+	* include/mach/thread_special_ports.h: Likewise.
+
 2006-04-02  Thomas Schwinge  <tschwinge@gnu.org>
 
 	* Makerules.in (%_user.c, %_server.c): Those are `.PRECIOUS'.
diff -Npur gnumach.old/i386/include/mach/i386/machine_types.defs gnumach.new/i386/include/mach/i386/machine_types.defs
--- gnumach.old/i386/include/mach/i386/machine_types.defs	1997-02-25 18:27:00.000000000 -0300
+++ gnumach.new/i386/include/mach/i386/machine_types.defs	2006-04-05 13:48:28.000000000 -0300
@@ -58,14 +58,4 @@ type natural_t = unsigned32;
  */
 type integer_t = int32;
 
-
-#if	MACH_IPC_COMPAT
-/*
- * For the old IPC interface
- */
-#define	MSG_TYPE_PORT_NAME	MACH_MSG_TYPE_INTEGER_32
-
-#endif	/* MACH_IPC_COMPAT */
-
-
 #endif	/* _MACHINE_MACHINE_TYPES_DEFS_ */
diff -Npur gnumach.old/include/mach/mach.defs gnumach.new/include/mach/mach.defs
--- gnumach.old/include/mach/mach.defs	2001-04-05 03:39:21.000000000 -0300
+++ gnumach.new/include/mach/mach.defs	2006-04-05 13:51:01.000000000 -0300
@@ -31,8 +31,6 @@
  */
 
 #ifdef	MACH_KERNEL
-#include <mach_ipc_compat.h>
-
 simport <kern/compat_xxx_defs.h>;	/* for obsolete routines */
 #endif	/* MACH_KERNEL */
 
@@ -599,173 +597,6 @@ routine task_ras_control(
 
 
 skip;	/* old host_ipc_statistics */
-
-
-#if	MACH_IPC_COMPAT
-
-/*
- *	Returns the set of port and port set names
- *	to which the target task has access, along with
- *	the type (set or port) for each name.
- */
-routine port_names(
-		task		: ipc_space_t;
-	out	port_names_p	: port_name_array_t;
-	out	port_types	: port_type_array_t);
-
-/*
- *	Returns the type (set or port) for the port name
- *	within the target task.
- */
-routine port_type(
-		task		: ipc_space_t;
-		port_name	: port_name_t;
-	out	port_type_p	: port_type_t);
-
-/*
- *	Changes the name by which a port (or port set) is known to
- *	the target task.
- */
-routine port_rename(
-		task		: ipc_space_t;
-		old_name	: port_name_t;
-		new_name	: port_name_t);
-
-/*
- *	Allocate a new port (with all rights) in the target task.
- *	The port name in that task is returned.
- */
-routine port_allocate(
-		task		: ipc_space_t;
-	out	port_name	: port_name_t);
-
-/*
- *	Deallocate the port with the given name from the target task.
- */
-routine port_deallocate(
-		task		: ipc_space_t;
-		port_name	: port_name_t);
-
-/*
- *	Set the number of messages that may be queued to
- *	the port in the target task with the given name
- *	before further message queueing operations block.
- *	The target task must hold receive rights for the
- *	port named.
- */
-routine port_set_backlog(
-		task		: ipc_space_t;
-		port_name	: port_name_t;
-		backlog		: int);
-
-/*
- *	Return information about the port with the given
- *	name in the target task.  Only the ownership and
- *	receive_rights results are meaningful unless the
- *	target task holds receive rights for the port.
- */
-routine port_status(
-		task		: ipc_space_t;
-		port_name	: port_name_t;
-	out	enabled		: port_set_name_t;
-	out	num_msgs	: int;
-	out	backlog		: int;
-	out	ownership	: boolean_t;
-	out	receive_rights	: boolean_t);
-
-/*
- *	Allocate a new port set in the target task, returning
- *	the name of that new port set.  [The new set is
- *	initially empty.]
- */
-routine port_set_allocate(
-		task		: ipc_space_t;
-	out	set_name	: port_set_name_t);
-
-/*
- *	Deallocate the named port set from the target task.
- *	Ports that are currently members of the named port
- *	set are first removed from the set.
- */
-routine port_set_deallocate(
-		task		: ipc_space_t;
-		set_name	: port_set_name_t);
-
-/*
- *	Add the named port to the port set named within
- *	the target task.  [If the port currently is a member
- *	of another port set, it is removed from that set.]
- */
-routine port_set_add(
-		task		: ipc_space_t;
-		set_name	: port_set_name_t;
-		port_name	: port_name_t);
-
-/*
- *	Remove the named port from the port set named within
- *	the target task.
- */
-routine port_set_remove(
-		task		: ipc_space_t;
-		port_name	: port_name_t);
-
-/*
- *	Returns the current set of ports that are members
- *	of the named port set in the target task.
- */
-routine port_set_status(
-		task		: ipc_space_t;
-		set_name	: port_set_name_t;
-	out	members		: port_name_array_t);
-
-/*
- *	Insert send rights for the specified port into
- *	the target task with the specified port name.
- *	[If the name is in use, or the target task already
- *	has another name for the specified port, then
- *	the operation will fail.]
- */
-routine port_insert_send(
-		task		: ipc_space_t;
-		my_port		: port_t;
-		his_name	: port_name_t);
-
-/*
- *	Returns send rights for the named port in the
- *	target task, removing that port name and port
- *	send rights from the target task.  [If the
- *	target task holds receive rights for this port,
- *	the operation will fail.]
- */
-routine port_extract_send(
-		task		: ipc_space_t;
-		his_name	: port_name_t;
-	out	his_port	: port_t);
-
-/*
- *	Insert receive rights for the specified port into
- *	the target task with the specified port name.
- *	[If the name is in use, or the target task already
- *	has another name for the specified port, then
- *	the operation will fail.
- */
-routine port_insert_receive(
-		task		: ipc_space_t;
-		my_port		: port_all_t;
-		his_name	: port_name_t);
-
-/*
- *	Returns receive rights for the named port in the
- *	target task, removing that port name and all port
- *	rights from the target task.
- */
-routine port_extract_receive(
-		task		: ipc_space_t;
-		his_name	: port_name_t;
-	out	his_port	: port_all_t);
-
-#else	/* MACH_IPC_COMPAT */
-
 skip;	/* old port_names */
 skip;	/* old port_type */
 skip;	/* old port_rename */
@@ -783,8 +614,6 @@ skip;	/* old port_extract_send */
 skip;	/* old port_insert_receive */
 skip;	/* old port_extract_receive */
 
-#endif	/* MACH_IPC_COMPAT */
-
 /*
  *	Map a user-defined memory object into the virtual address
  *	space of the target task.  If desired (anywhere is TRUE),
@@ -917,28 +746,8 @@ simpleroutine memory_object_change_attri
 
 skip;	/* old host_callout_statistics_reset */
 skip;	/* old port_set_select */
-
-#if	MACH_IPC_COMPAT
-
-/*
- *	Sets a backup port for the named port.  The task
- *	must have receive rights for the named port.
- *	Returns the previous backup port, if any.
- */
-
-routine port_set_backup(
-		task		: ipc_space_t;
-		port_name	: port_name_t;
-		backup		: port_t = MACH_MSG_TYPE_MAKE_SEND
-				  ctype: mach_port_t;
-	out	previous	: port_t);
-
-#else	/* MACH_IPC_COMPAT */
-
 skip;	/* old port_set_backup */
 
-#endif	/* MACH_IPC_COMPAT */
-
 /*
  *	Set/Get special properties of memory associated
  *	to some virtual address range, such as cachability,
diff -Npur gnumach.old/include/mach/mach_param.h gnumach.new/include/mach/mach_param.h
--- gnumach.old/include/mach/mach_param.h	1997-02-25 18:26:51.000000000 -0300
+++ gnumach.new/include/mach/mach_param.h	2006-04-05 13:53:47.000000000 -0300
@@ -34,20 +34,6 @@
 #ifndef	_MACH_MACH_PARAM_H_
 #define _MACH_MACH_PARAM_H_
 
-#ifdef	MACH_KERNEL
-#include <mach_ipc_compat.h>
-#endif	/* MACH_KERNEL */
-
 #define TASK_PORT_REGISTER_MAX	4	/* Number of "registered" ports */
 
-
-/* Definitions for the old IPC interface. */
-
-#if	MACH_IPC_COMPAT
-
-#define PORT_BACKLOG_DEFAULT	5
-#define PORT_BACKLOG_MAX	16
-
-#endif	/* MACH_IPC_COMPAT */
-
 #endif	/* _MACH_MACH_PARAM_H_ */
diff -Npur gnumach.old/include/mach/mach_traps.h gnumach.new/include/mach/mach_traps.h
--- gnumach.old/include/mach/mach_traps.h	1997-02-25 18:26:51.000000000 -0300
+++ gnumach.new/include/mach/mach_traps.h	2006-04-05 13:52:11.000000000 -0300
@@ -33,10 +33,6 @@
 #ifndef	_MACH_MACH_TRAPS_H_
 #define _MACH_MACH_TRAPS_H_
 
-#ifdef	MACH_KERNEL
-#include <mach_ipc_compat.h>
-#endif	/* MACH_KERNEL */
-
 #include <mach/port.h>
 
 mach_port_t	mach_reply_port
@@ -74,59 +70,4 @@ mach_port_t	mach_host_self
 			();
 #endif	/* LINTLIBRARY */
 
-
-/* Definitions for the old IPC interface. */
-
-#if	MACH_IPC_COMPAT
-
-port_t		task_self
-#ifdef	LINTLIBRARY
-			()
-	 { return(PORT_NULL); }
-#else	/* LINTLIBRARY */
-			();
-#endif	/* LINTLIBRARY */
-
-port_t		task_notify
-#ifdef	LINTLIBRARY
-			()
-	 { return(PORT_NULL); }
-#else	/* LINTLIBRARY */
-			();
-#endif	/* LINTLIBRARY */
-
-port_t		thread_self
-#ifdef	LINTLIBRARY
-			()
-	 { return(PORT_NULL); }
-#else	/* LINTLIBRARY */
-			();
-#endif	/* LINTLIBRARY */
-
-port_t		thread_reply
-#ifdef	LINTLIBRARY
-			()
-	 { return(PORT_NULL); }
-#else	/* LINTLIBRARY */
-			();
-#endif	/* LINTLIBRARY */
-
-port_t		host_self
-#ifdef	LINTLIBRARY
-			()
-	 { return(PORT_NULL); }
-#else	/* LINTLIBRARY */
-			();
-#endif	/* LINTLIBRARY */
-
-port_t		host_priv_self
-#ifdef	LINTLIBRARY
-			()
-	 { return(PORT_NULL); }
-#else	/* LINTLIBRARY */
-			();
-#endif	/* LINTLIBRARY */
-
-#endif	/* MACH_IPC_COMPAT */
-
 #endif	/* _MACH_MACH_TRAPS_H_ */
diff -Npur gnumach.old/include/mach/message.h gnumach.new/include/mach/message.h
--- gnumach.old/include/mach/message.h	1998-10-24 05:54:03.000000000 -0300
+++ gnumach.new/include/mach/message.h	2006-04-05 13:55:37.000000000 -0300
@@ -32,10 +32,6 @@
 #ifndef	_MACH_MESSAGE_H_
 #define _MACH_MESSAGE_H_
 
-#ifdef	MACH_KERNEL
-#include <mach_ipc_compat.h>
-#endif	/* MACH_KERNEL */
-
 #include <mach/kern_return.h>
 #include <mach/port.h>
 
@@ -441,313 +437,4 @@ mach_msg
 extern __typeof (mach_msg) __mach_msg;
 extern __typeof (mach_msg_trap) __mach_msg_trap;
 
-
-/* Definitions for the old IPC interface. */
-
-#if	MACH_IPC_COMPAT
-
-/*
- *	Message data structures.
- *
- *	Messages consist of two parts: a fixed-size header, immediately
- *	followed by a variable-size array of typed data items.
- *
- */
-
-typedef	unsigned int	msg_size_t;
-
-typedef	struct {
-		unsigned int	msg_unused : 24,
-				msg_simple : 8;
-		msg_size_t	msg_size;
-		integer_t	msg_type;
-		port_t		msg_local_port;
-		port_t		msg_remote_port;
-		integer_t	msg_id;
-} msg_header_t;
-
-#define MSG_SIZE_MAX	8192
-
-/*
- *	Known values for the msg_type field.
- *	These are Accent holdovers, which should be purged when possible.
- *
- *	Only one bit in the msg_type field is used by the kernel.
- *	Others are available to user applications.  See <msg_type.h>
- *	for system application-assigned values.
- */
-
-#define MSG_TYPE_NORMAL		0
-#define MSG_TYPE_EMERGENCY	1
-
-/*
- *	Each data item is preceded by a description of that
- *	item, including what type of data, how big it is, and
- *	how many of them are present.
- *
- *	The actual data will either follow this type
- *	descriptor ("inline") or will be specified by a pointer.
- *
- *	If the type name, size, or number is too large to be encoded
- *	in this structure, the "longform" option may be selected,
- *	and those fields must immediately follow in full integer fields.
- *
- *	For convenience, out-of-line data regions or port rights may
- *	be deallocated when the message is sent by specifying the
- *	"deallocate" field.  Beware: if the data item in question is both
- *	out-of-line and contains port rights, then both will be deallocated.
- */
-
-typedef struct  {
-	unsigned int	msg_type_name : 8,		/* What kind of data */
-			msg_type_size : 8,		/* How many bits is each item */
-			msg_type_number : 12,		/* How many items are there */
-			msg_type_inline : 1,		/* If true, data follows; else a pointer */
-			msg_type_longform : 1,		/* Name, size, number follow: see above */
-			msg_type_deallocate : 1,	/* Deallocate port rights or memory */
-			msg_type_unused : 1;
-} msg_type_t;
-
-typedef	struct	{
-	msg_type_t	msg_type_header;
-	unsigned short	msg_type_long_name;
-	unsigned short	msg_type_long_size;
-	natural_t	msg_type_long_number;
-} msg_type_long_t;
-
-/*
- *	Known values for the msg_type_name field.
- *
- *	The only types known to the Mach kernel are
- *	the port types, and those types used in the
- *	kernel RPC interface.
- */
-
-#define MSG_TYPE_UNSTRUCTURED	0
-#define MSG_TYPE_BIT		0
-#define MSG_TYPE_BOOLEAN	0
-#define MSG_TYPE_INTEGER_16	1
-#define MSG_TYPE_INTEGER_32	2
-#define MSG_TYPE_PORT_OWNERSHIP	3	/* obsolete */
-#define MSG_TYPE_PORT_RECEIVE	4	/* obsolete */
-#define MSG_TYPE_PORT_ALL	5
-#define MSG_TYPE_PORT		6
-#define MSG_TYPE_CHAR		8
-#define MSG_TYPE_BYTE		9
-#define MSG_TYPE_INTEGER_8	9
-#define MSG_TYPE_REAL		10
-#define MSG_TYPE_STRING		12
-#define MSG_TYPE_STRING_C	12
-/*	MSG_TYPE_INVALID	13	unused */
-
-#define MSG_TYPE_INTERNAL_MEMORY MSG_TYPE_INTEGER_8
-
-#define MSG_TYPE_PORT_NAME	15		/* A capability name */
-#define MSG_TYPE_LAST		16		/* Last assigned */
-
-#define MSG_TYPE_POLYMORPHIC	((unsigned int) -1)
-
-/*
- *	Is a given item a port type?
- */
-
-#define MSG_TYPE_PORT_ANY(x)	\
-	(((x) == MSG_TYPE_PORT) || ((x) == MSG_TYPE_PORT_ALL))
-
-/*
- *	Other basic types
- */
-
-typedef natural_t	msg_timeout_t;
-
-/*
- *	Options to IPC primitives.
- *
- *	These can be combined by or'ing; the combination RPC call
- *	uses both SEND_ and RCV_ options at once.
- */
-
-typedef	integer_t		msg_option_t;
-
-#define MSG_OPTION_NONE	0x0000	/* Terminate only when message op works */
-
-#define SEND_TIMEOUT	0x0001	/* Terminate on timeout elapsed */
-#define SEND_NOTIFY	0x0002	/* Terminate with reply message if need be */
-
-#define SEND_INTERRUPT	0x0004	/* Terminate on software interrupt */
-
-#define RCV_TIMEOUT	0x0100	/* Terminate on timeout elapsed */
-#define RCV_NO_SENDERS	0x0200	/* Terminate if I'm the only sender left */
-#define RCV_INTERRUPT	0x0400	/* Terminate on software interrupt */
-
-/*
- *	Returns from IPC primitives.
- *
- *	Values are separate in order to allow RPC users to
- *	distinguish which operation failed; for successful completion,
- *	this doesn't matter.
- */
-
-typedef	int		msg_return_t;
-
-#define SEND_SUCCESS		0
-
-#define SEND_ERRORS_START	-100
-#define SEND_INVALID_MEMORY	-101	/* Message or OOL data invalid */
-#define SEND_INVALID_PORT	-102	/* Reference to inacessible port */
-#define SEND_TIMED_OUT		-103	/* Terminated due to timeout */
-#define SEND_WILL_NOTIFY	-105	/* Msg accepted provisionally */
-#define SEND_NOTIFY_IN_PROGRESS	-106	/* Already awaiting a notification */
-#define SEND_KERNEL_REFUSED	-107	/* Message to the kernel refused */
-#define SEND_INTERRUPTED	-108	/* Software interrupt during send */
-#define SEND_MSG_TOO_LARGE	-109	/* Message specified was too large */
-#define SEND_MSG_TOO_SMALL	-110	/* Data specified exceeds msg size */
-/*	SEND_MSG_SIZE_CHANGE	-111	   Msg size changed during copy */
-#define SEND_ERRORS_END		-111
-
-#define msg_return_send(x)	((x) < SEND_ERRORS_START && (x) > SEND_ERRORS_END)
-
-#define RCV_SUCCESS		0
-
-#define RCV_ERRORS_START	-200
-#define RCV_INVALID_MEMORY	-201
-#define RCV_INVALID_PORT	-202
-#define RCV_TIMED_OUT		-203
-#define RCV_TOO_LARGE		-204	/* Msg structure too small for data */
-#define RCV_NOT_ENOUGH_MEMORY	-205	/* Can't find space for OOL data */
-#define RCV_ONLY_SENDER		-206	/* Receiver is only sender */
-#define RCV_INTERRUPTED		-207
-#define RCV_PORT_CHANGE		-208	/* Port was put in a set */
-#define RCV_ERRORS_END		-209
-
-#define msg_return_rcv(x)	((x) < RCV_ERRORS_START && (x) > RCV_ERRORS_END)
-
-#define RPC_SUCCESS		0
-
-/*
- *	The IPC primitive functions themselves
- */
-
-msg_return_t	msg_send(
-#if	defined(c_plusplus) || defined(__STDC__)
-	msg_header_t	*header,
-	msg_option_t	option,
-	msg_timeout_t	timeout);
-#else	/* c_plusplus || __STDC__ */
-#if	LINTLIBRARY
-			header, option, timeout)
-	msg_header_t	*header;
-	msg_option_t	option;
-	msg_timeout_t	timeout;
-	{ return(SEND_SUCCESS); }
-#else	/* LINTLIBRARY */
-		);
-#endif	/* LINTLIBRARY */
-#endif	/* c_plusplus || __STDC__ */
-
-msg_return_t	msg_receive(
-#if	defined(c_plusplus) || defined(__STDC__)
-	msg_header_t	*header,
-	msg_option_t	option,
-	msg_timeout_t	timeout);
-#else	/* c_plusplus || __STDC__ */
-#if	LINTLIBRARY
-			header, option, timeout)
-	msg_header_t	*header;
-	msg_option_t	option;
-	msg_timeout_t	timeout;
-	{ return(RCV_SUCCESS); }
-#else	/* LINTLIBRARY */
-		);
-#endif	/* LINTLIBRARY */
-#endif	/* c_plusplus || __STDC__ */
-
-msg_return_t	msg_rpc(
-#if	defined(c_plusplus) || defined(__STDC__)
-	msg_header_t	*header,	/* in/out */
-	msg_option_t	option,
-	msg_size_t	rcv_size,
-	msg_timeout_t	send_timeout,
-	msg_timeout_t	rcv_timeout);
-#else	/* c_plusplus || __STDC__ */
-#if	LINTLIBRARY
-			header, option, rcv_size,
-			send_timeout, rcv_timeout)
-	msg_header_t	*header;	/* in/out */
-	msg_option_t	option;
-	msg_size_t	rcv_size;
-	msg_timeout_t	send_timeout;
-	msg_timeout_t	rcv_timeout;
-	{ return(RPC_SUCCESS); }
-#else	/* LINTLIBRARY */
-		);
-#endif	/* LINTLIBRARY */
-#endif	/* c_plusplus || __STDC__ */
-
-msg_return_t	msg_send_trap(
-#if	defined(c_plusplus) || defined(__STDC__)
-	msg_header_t	*header,
-	msg_option_t	option,
-	msg_size_t	send_size,
-	msg_timeout_t	timeout);
-#else	/* c_plusplus || __STDC__ */
-#if	LINTLIBRARY
-			header, option, send_size, timeout)
-	msg_header_t	*header;
-	msg_option_t	option;
-	msg_size_t	send_size;
-	msg_timeout_t	timeout;
-	{ return(SEND_SUCCESS); }
-#else	/* LINTLIBRARY */
-		);
-#endif	/* LINTLIBRARY */
-#endif	/* c_plusplus || __STDC__ */
-
-msg_return_t	msg_receive_trap(
-#if	defined(c_plusplus) || defined(__STDC__)
-	msg_header_t	*header,
-	msg_option_t	option,
-	msg_size_t	rcv_size,
-	port_name_t	rcv_name,
-	msg_timeout_t	timeout);
-#else	/* c_plusplus || __STDC__ */
-#if	LINTLIBRARY
-			header, option, rcv_size, rcv_name, timeout)
-	msg_header_t	*header;
-	msg_option_t	option;
-	msg_size_t	rcv_size;
-	port_name_t	rcv_name;
-	msg_timeout_t	timeout;
-	{ return(RCV_SUCCESS); }
-#else	/* LINTLIBRARY */
-		);
-#endif	/* LINTLIBRARY */
-#endif	/* c_plusplus || __STDC__ */
-
-msg_return_t	msg_rpc_trap(
-#if	defined(c_plusplus) || defined(__STDC__)
-	msg_header_t	*header,	/* in/out */
-	msg_option_t	option,
-	msg_size_t	send_size,
-	msg_size_t	rcv_size,
-	msg_timeout_t	send_timeout,
-	msg_timeout_t	rcv_timeout);
-#else	/* c_plusplus || __STDC__ */
-#if	LINTLIBRARY
-			header, option, send_size, rcv_size,
-			send_timeout, rcv_timeout)
-	msg_header_t	*header;	/* in/out */
-	msg_option_t	option;
-	msg_size_t	send_size;
-	msg_size_t	rcv_size;
-	msg_timeout_t	send_timeout;
-	msg_timeout_t	rcv_timeout;
-	{ return(RPC_SUCCESS); }
-#else	/* LINTLIBRARY */
-		);
-#endif	/* LINTLIBRARY */
-#endif	/* c_plusplus || __STDC__ */
-
-#endif	/* MACH_IPC_COMPAT */
-
 #endif	/* _MACH_MESSAGE_H_ */
diff -Npur gnumach.old/include/mach/mig_errors.h gnumach.new/include/mach/mig_errors.h
--- gnumach.old/include/mach/mig_errors.h	1997-02-25 18:26:52.000000000 -0300
+++ gnumach.new/include/mach/mig_errors.h	2006-04-05 13:56:34.000000000 -0300
@@ -31,10 +31,6 @@
 #ifndef	_MACH_MIG_ERRORS_H_
 #define _MACH_MIG_ERRORS_H_
 
-#ifdef	MACH_KERNEL
-#include <mach_ipc_compat.h>
-#endif	/* MACH_KERNEL */
-
 #include <mach/kern_return.h>
 #include <mach/message.h>
 
@@ -90,16 +86,4 @@ typedef	int	(*mig_routine_t)();	/* PCC c
 #endif
 #endif
 
-/* Definitions for the old IPC interface. */
-
-#if	MACH_IPC_COMPAT
-
-typedef struct {
-	msg_header_t		Head;
-	msg_type_t		RetCodeType;
-	kern_return_t		RetCode;
-} death_pill_t;
-
-#endif	/* MACH_IPC_COMPAT */
-
 #endif	/* _MACH_MIG_ERRORS_H_ */
diff -Npur gnumach.old/include/mach/notify.h gnumach.new/include/mach/notify.h
--- gnumach.old/include/mach/notify.h	1997-02-25 18:26:52.000000000 -0300
+++ gnumach.new/include/mach/notify.h	2006-04-05 13:57:42.000000000 -0300
@@ -32,10 +32,6 @@
 #ifndef	_MACH_NOTIFY_H_
 #define _MACH_NOTIFY_H_
 
-#ifdef	MACH_KERNEL
-#include <mach_ipc_compat.h>
-#endif	/* MACH_KERNEL */
-
 #include <mach/port.h>
 #include <mach/message.h>
 
@@ -93,30 +89,4 @@ typedef struct {
     mach_port_t		not_port;
 } mach_dead_name_notification_t;
 
-
-/* Definitions for the old IPC interface. */
-
-#if	MACH_IPC_COMPAT
-
-/*
- *	Notifications sent upon interesting system events.
- */
-
-#define NOTIFY_FIRST			0100
-#define NOTIFY_PORT_DELETED		( NOTIFY_FIRST + 001 )
-#define NOTIFY_MSG_ACCEPTED		( NOTIFY_FIRST + 002 )
-#define NOTIFY_OWNERSHIP_RIGHTS		( NOTIFY_FIRST + 003 )
-#define NOTIFY_RECEIVE_RIGHTS		( NOTIFY_FIRST + 004 )
-#define NOTIFY_PORT_DESTROYED		( NOTIFY_FIRST + 005 )
-#define NOTIFY_NO_MORE_SENDERS		( NOTIFY_FIRST + 006 )
-#define NOTIFY_LAST			( NOTIFY_FIRST + 015 )
-
-typedef struct {
-	msg_header_t	notify_header;
-	msg_type_t	notify_type;
-	port_t		notify_port;
-} notification_t;
-
-#endif	/* MACH_IPC_COMPAT */
-
 #endif	/* _MACH_NOTIFY_H_ */
diff -Npur gnumach.old/include/mach/port.h gnumach.new/include/mach/port.h
--- gnumach.old/include/mach/port.h	1997-02-25 18:26:52.000000000 -0300
+++ gnumach.new/include/mach/port.h	2006-04-05 14:00:36.000000000 -0300
@@ -35,10 +35,6 @@
 #ifndef	_MACH_PORT_H_
 #define _MACH_PORT_H_
 
-#ifdef	MACH_KERNEL
-#include <mach_ipc_compat.h>
-#endif	/* MACH_KERNEL */
-
 #include <mach/boolean.h>
 #include <mach/machine/vm_types.h>
 
@@ -154,36 +150,4 @@ typedef struct old_mach_port_status {
 /*boolean_t*/natural_t		mps_nsrequest;	/* no-senders requested? */
 } old_mach_port_status_t;
 
-
-/* Definitions for the old IPC interface. */
-
-#if	MACH_IPC_COMPAT
-
-typedef integer_t	port_name_t;		/* A capability's name */
-typedef port_name_t	port_set_name_t;	/* Descriptive alias */
-typedef port_name_t	*port_name_array_t;
-
-typedef integer_t	port_type_t;		/* What kind of capability? */
-typedef port_type_t	*port_type_array_t;
-
-	/* Values for port_type_t */
-
-#define PORT_TYPE_NONE		0		/* No rights */
-#define PORT_TYPE_SEND		1		/* Send rights */
-#define PORT_TYPE_RECEIVE	3		/* obsolete */
-#define PORT_TYPE_OWN		5		/* obsolete */
-#define PORT_TYPE_RECEIVE_OWN	7		/* Send, receive, ownership */
-#define PORT_TYPE_SET		9		/* Set ownership */
-#define PORT_TYPE_LAST		10		/* Last assigned */
-
-typedef	port_name_t	port_t;			/* Port with send rights */
-typedef	port_t		port_rcv_t;		/* Port with receive rights */
-typedef	port_t		port_own_t;		/* Port with ownership rights */
-typedef	port_t		port_all_t;		/* Port with receive and ownership */
-typedef	port_t		*port_array_t;
-
-#define PORT_NULL	((port_name_t) 0)	/* Used to denote no port; legal value */
-
-#endif	/* MACH_IPC_COMPAT */
-
 #endif	/* _MACH_PORT_H_ */
diff -Npur gnumach.old/include/mach/std_types.defs gnumach.new/include/mach/std_types.defs
--- gnumach.old/include/mach/std_types.defs	2001-04-05 03:39:21.000000000 -0300
+++ gnumach.new/include/mach/std_types.defs	2006-04-05 14:01:55.000000000 -0300
@@ -30,10 +30,6 @@
 #ifndef	_MACH_STD_TYPES_DEFS_
 #define _MACH_STD_TYPES_DEFS_
 
-#ifdef	MACH_KERNEL
-#include <mach_ipc_compat.h>
-#endif
-
 type char = MACH_MSG_TYPE_CHAR;
 type short = MACH_MSG_TYPE_INTEGER_16;
 type int = MACH_MSG_TYPE_INTEGER_32;
@@ -99,33 +95,6 @@ type mach_port_send_once_t =		MACH_MSG_T
 type mach_port_poly_t = polymorphic
 	ctype: mach_port_t;
 
-
-/* Definitions for the old IPC interface. */
-
-#if	MACH_IPC_COMPAT
-
-type port_name_t = MSG_TYPE_PORT_NAME
-	ctype: mach_port_t;
-type port_name_array_t = ^array[] of port_name_t
-	ctype: mach_port_array_t;
-type port_type_t = int
-	ctype: mach_port_type_t;
-type port_type_array_t = ^array[] of port_type_t
-	ctype: mach_port_type_array_t;
-type port_set_name_t = port_name_t
-	ctype: mach_port_t;
-
-type port_t = MACH_MSG_TYPE_COPY_SEND
-	ctype: mach_port_t;
-type port_all_t = MACH_MSG_TYPE_MOVE_RECEIVE
-	ctype: mach_port_t;
-type port_rcv_t = MACH_MSG_TYPE_MOVE_RECEIVE
-	ctype: mach_port_t;
-type port_array_t = ^array[] of port_t
-	ctype: mach_port_array_t;
-
-#endif	/* MACH_IPC_COMPAT */
-
 import <mach/std_types.h>;
 
 #endif	/* _MACH_STD_TYPES_DEFS_ */
diff -Npur gnumach.old/include/mach/syscall_sw.h gnumach.new/include/mach/syscall_sw.h
--- gnumach.old/include/mach/syscall_sw.h	2006-03-19 16:31:15.000000000 -0300
+++ gnumach.new/include/mach/syscall_sw.h	2006-04-05 14:03:25.000000000 -0300
@@ -117,19 +117,4 @@ kernel_trap(set_ras_address,-53,2)
 
 #endif	/* UNIXOID_TRAPS */
 
-/* Traps for the old IPC interface. */
-
-#if	MACH_IPC_COMPAT
-
-kernel_trap(task_self,-10,0)
-kernel_trap(thread_reply,-11,0)
-kernel_trap(task_notify,-12,0)
-kernel_trap(thread_self,-13,0)
-kernel_trap(msg_send_trap,-20,4)
-kernel_trap(msg_receive_trap,-21,5)
-kernel_trap(msg_rpc_trap,-22,6)
-kernel_trap(host_self,-55,0)
-
-#endif	/* MACH_IPC_COMPAT */
-
 #endif	/* _MACH_SYSCALL_SW_H_ */
diff -Npur gnumach.old/include/mach/task_special_ports.h gnumach.new/include/mach/task_special_ports.h
--- gnumach.old/include/mach/task_special_ports.h	1997-02-25 18:26:53.000000000 -0300
+++ gnumach.new/include/mach/task_special_ports.h	2006-04-05 14:05:13.000000000 -0300
@@ -35,10 +35,6 @@
 #ifndef	_MACH_TASK_SPECIAL_PORTS_H_
 #define _MACH_TASK_SPECIAL_PORTS_H_
 
-#ifdef	MACH_KERNEL
-#include <mach_ipc_compat.h>
-#endif	/* MACH_KERNEL */
-
 #define TASK_KERNEL_PORT	1	/* Represents task to the outside
 					   world.*/
 #define TASK_EXCEPTION_PORT	3	/* Exception messages for task are
@@ -67,20 +63,4 @@
 #define task_set_bootstrap_port(task, port)	\
 		(task_set_special_port((task), TASK_BOOTSTRAP_PORT, (port)))
 
-
-/* Definitions for the old IPC interface. */
-
-#if	MACH_IPC_COMPAT
-
-#define TASK_NOTIFY_PORT	2	/* Task receives kernel IPC
-					   notifications here. */
-
-#define task_get_notify_port(task, port)	\
-		(task_get_special_port((task), TASK_NOTIFY_PORT, (port)))
-
-#define task_set_notify_port(task, port)	\
-		(task_set_special_port((task), TASK_NOTIFY_PORT, (port)))
-
-#endif	/* MACH_IPC_COMPAT */
-
 #endif	/* _MACH_TASK_SPECIAL_PORTS_H_ */
diff -Npur gnumach.old/include/mach/thread_special_ports.h gnumach.new/include/mach/thread_special_ports.h
--- gnumach.old/include/mach/thread_special_ports.h	1997-02-25 18:26:53.000000000 -0300
+++ gnumach.new/include/mach/thread_special_ports.h	2006-04-05 14:04:14.000000000 -0300
@@ -35,10 +35,6 @@
 #ifndef	_MACH_THREAD_SPECIAL_PORTS_H_
 #define _MACH_THREAD_SPECIAL_PORTS_H_
 
-#ifdef	MACH_KERNEL
-#include <mach_ipc_compat.h>
-#endif	/* MACH_KERNEL */
-
 #define THREAD_KERNEL_PORT	1	/* Represents the thread to the outside
 					   world.*/
 #define THREAD_EXCEPTION_PORT	3	/* Exception messages for the thread
@@ -60,20 +56,4 @@
 #define thread_set_exception_port(thread, port)	\
 		(thread_set_special_port((thread), THREAD_EXCEPTION_PORT, (port)))
 
-
-/* Definitions for the old IPC interface. */
-
-#if	MACH_IPC_COMPAT
-
-#define THREAD_REPLY_PORT	2	/* Default reply port for the thread's
-					   use. */
-
-#define thread_get_reply_port(thread, port)	\
-		(thread_get_special_port((thread), THREAD_REPLY_PORT, (port)))
-
-#define thread_set_reply_port(thread, port)	\
-		(thread_set_special_port((thread), THREAD_REPLY_PORT, (port)))
-
-#endif	/* MACH_IPC_COMPAT */
-
 #endif	/* _MACH_THREAD_SPECIAL_PORTS_H_ */
